This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 573570 - keyboard layout in gnome-screensaver is incorrect
keyboard layout in gnome-screensaver is incorrect
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-15 03:11 EDT by Adam Pribyl
Modified: 2012-08-16 16:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2010-03-15 03:11:58 EDT
Description of problem:
I use two keyboard layouts - USA and CZE. When gnome-screensaver shows up, it displays a keyboard layout, that is set, so you can type password with correct layout. However, the layout that is shown is often wrong. This mainly happens after hibernation.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.28.3-1.fc12.x86_64

How reproducible:
Often. 

Steps to Reproduce:
Not exactly sure, but try to setup a secondary keyboard layout and let the g-s start a few times or hibernate a resume. When you type the password and system says it is incorrect (g-s is usually showing USA layout, but layout is set to CZE), just hit your keyboard modifier, g-s is still showing the USA, but this time it is correct. When you are logged in, start System/Lock screen and see g-s is showing CZE layout, while underlaying gnome has USA.
Comment 1 Adam Pribyl 2010-05-21 10:27:45 EDT
Today this happened to me again (on F13 now - switching version). 

I am not able to login. gnome-screensaver dialog shows keyboard USA, until I hit keyboard modifier, while it still shows layout USA I am now able to login.

Looking around I found this message in /var/log/gdm/:0-greeter.log

(polkit-gnome-authentication-agent-1:2055): polkit-gnome-1-WARNING **: Error enumerating temporary authorizations: Remote Exception invoking org.freedesktop.
PolicyKit1.Authority.EnumerateTemporaryAuthorizations() on /org/freedesktop/PolicyKit1/Authority at name org.freedesktop.PolicyKit1: org.freedesktop.PolicyKit1.Error.Failed: Cannot determine session the caller is in

Not sure it this is related however.

At this time secure log says:
ay 21 16:13:41 mej unix_chkpwd[4085]: password check failed for user (covex)
May 21 16:13:41 mej gnome-screensaver-dialog: pam_unix(gnome-screensaver:auth): authentication failure; logname= uid=500 euid=500 tty=:0.0 ruser= rhost=
user=covex
May 21 16:13:41 mej gnome-screensaver-dialog: gkr-pam: the password for the login keyring was invalid.
Comment 2 Adam Pribyl 2010-12-04 13:34:07 EST
Changeing to F14 as this is still true. One can try that keyboard layout is indicated wrong in the field "Leave a message".
Comment 3 Fedora Admin XMLRPC Client 2011-06-21 11:58:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2012-08-16 16:08:14 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.